package poll;

import java.util.Calendar;
import java.util.List;
import java.util.Map;

import auxiliary.Voter;
import pattern.SelectionStrategy;
import pattern.StatisticsStrategy;
import vote.Vote;
import vote.VoteType;

public interface Poll<C> {

	/**
	 * ͶƱδ趨κԣҲδκͶƱ
	 * 
	 * @return һPoll<C>
	 */
	public static <C> Poll<C> create() {
		// TODO
		return null;
	}

	/**
	 * 趨ͶƱĻ
	 * 
	 * @param name     ͶƱ
	 * @param date     ͶƱ
	 * @param type     ͶƱͣͶƱѡԼӦķ
	 * @param quantity ѡ
	 */
	public void setInfo(String name, Calendar date, VoteType type, int quantity);

	/**
	 * 趨ѡ
	 * 
	 * @param candidates ѡ嵥
	 */
	public void addCandidates(List<C> candidates);

	/**
	 * 趨ͶƱ˼Ȩ
	 * 
	 * @param voters KeyΪͶƱˣValueΪͶƱ˵Ȩ
	 */
	public void addVoters(Map<Voter, Double> voters);

	/**
	 * һͶƱ˶ȫѡͶƱ
	 * 
	 * @param vote һͶƱ˶ȫѡͶƱ¼
	 */
	public void addVote(Vote<C> vote);

	/**
	 * Ʊ
	 * 
	 * @param ȡļƱ
	 */
	public void statistics(StatisticsStrategy ss);

	/**
	 * ѡ
	 * 
	 * @param ss ȡѡ
	 */
	public void selection(SelectionStrategy ss);

	/**
	 * ѡ
	 * 
	 * @return һʾѡַÿаѡID
	 */
	public String result();
}
